package b4a.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.samples.httputils2.httpjob _job1 = null;
public static String _url = "";
public static String _xml = "";
public static String _ciudad = "";
public static String _pais = "";
public static String _res = "";
public anywheresoftware.b4a.objects.LabelWrapper _lbltemperature = null;
public static int _intfin = 0;
public static String _strresult = "";
public anywheresoftware.b4a.samples.httputils2.httputils2service _httputils2service = null;
  public Object[] GetGlobals() {
		return new Object[] {"Activity",mostCurrent._activity,"Ciudad",mostCurrent._ciudad,"HttpUtils2Service",mostCurrent._httputils2service,"intFin",_intfin,"job1",_job1,"lblTemperature",mostCurrent._lbltemperature,"Pais",mostCurrent._pais,"Res",mostCurrent._res,"strResult",mostCurrent._strresult,"URL",mostCurrent._url,"XML",mostCurrent._xml};
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = main.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

}
public static String  _activity_create(boolean _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (main) ","main",0,mostCurrent.activityBA,mostCurrent);
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 34;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(2);
 BA.debugLineNum = 36;BA.debugLine="Activity.LoadLayout(\"lyoWeather\")";
Debug.ShouldStop(8);
mostCurrent._activity.LoadLayout("lyoWeather",mostCurrent.activityBA);
 BA.debugLineNum = 38;BA.debugLine="URL = \"http://www.webservicex.net/globalweather.asmx\"";
Debug.ShouldStop(32);
mostCurrent._url = "http://www.webservicex.net/globalweather.asmx";
 BA.debugLineNum = 39;BA.debugLine="Ciudad = \"Chicago\"";
Debug.ShouldStop(64);
mostCurrent._ciudad = "Chicago";
 BA.debugLineNum = 40;BA.debugLine="Pais = \"United States\"";
Debug.ShouldStop(128);
mostCurrent._pais = "United States";
 BA.debugLineNum = 42;BA.debugLine="ConsumirServiciSOAP";
Debug.ShouldStop(512);
_consumirservicisoap();
 BA.debugLineNum = 44;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,mostCurrent.activityBA,mostCurrent);
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 114;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(131072);
 BA.debugLineNum = 115;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,mostCurrent.activityBA,mostCurrent);
 BA.debugLineNum = 111;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(16384);
 BA.debugLineNum = 112;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _consumirservicisoap() throws Exception{
try {
		Debug.PushSubsStack("ConsumirServiciSOAP (main) ","main",0,mostCurrent.activityBA,mostCurrent);
 BA.debugLineNum = 46;BA.debugLine="Sub ConsumirServiciSOAP()";
Debug.ShouldStop(8192);
 BA.debugLineNum = 48;BA.debugLine="XML = XML & \"<soap:Envelope xmlns:soap='http://www.w3.org/2003/05/soap-envelope' xmlns:web='http://www.webserviceX.NET'>\"";
Debug.ShouldStop(32768);
mostCurrent._xml = mostCurrent._xml+"<soap:Envelope xmlns:soap='http://www.w3.org/2003/05/soap-envelope' xmlns:web='http://www.webserviceX.NET'>";
 BA.debugLineNum = 49;BA.debugLine="XML = XML & \"<soap:Header/>\"";
Debug.ShouldStop(65536);
mostCurrent._xml = mostCurrent._xml+"<soap:Header/>";
 BA.debugLineNum = 50;BA.debugLine="XML = XML & \"<soap:Body>\"";
Debug.ShouldStop(131072);
mostCurrent._xml = mostCurrent._xml+"<soap:Body>";
 BA.debugLineNum = 51;BA.debugLine="XML = XML & \"<web:GetWeather>\"";
Debug.ShouldStop(262144);
mostCurrent._xml = mostCurrent._xml+"<web:GetWeather>";
 BA.debugLineNum = 52;BA.debugLine="XML = XML & \"<web:CityName>\" & Ciudad & \"</web:CityName>\"";
Debug.ShouldStop(524288);
mostCurrent._xml = mostCurrent._xml+"<web:CityName>"+mostCurrent._ciudad+"</web:CityName>";
 BA.debugLineNum = 53;BA.debugLine="XML = XML & \"<web:CountryName>\" & Pais & \"</web:CountryName>\"";
Debug.ShouldStop(1048576);
mostCurrent._xml = mostCurrent._xml+"<web:CountryName>"+mostCurrent._pais+"</web:CountryName>";
 BA.debugLineNum = 54;BA.debugLine="XML = XML & \"</web:GetWeather>\"";
Debug.ShouldStop(2097152);
mostCurrent._xml = mostCurrent._xml+"</web:GetWeather>";
 BA.debugLineNum = 55;BA.debugLine="XML = XML & \"</soap:Body>\"";
Debug.ShouldStop(4194304);
mostCurrent._xml = mostCurrent._xml+"</soap:Body>";
 BA.debugLineNum = 56;BA.debugLine="XML = XML & \"</soap:Envelope>\"";
Debug.ShouldStop(8388608);
mostCurrent._xml = mostCurrent._xml+"</soap:Envelope>";
 BA.debugLineNum = 57;BA.debugLine="XML = XML.Replace(\"'\", Chr(34))";
Debug.ShouldStop(16777216);
mostCurrent._xml = mostCurrent._xml.replace("'",BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (34))));
 BA.debugLineNum = 59;BA.debugLine="job1.Initialize(\"JOBSOAP\", Me)";
Debug.ShouldStop(67108864);
_job1._initialize(processBA,"JOBSOAP",main.getObject());
 BA.debugLineNum = 60;BA.debugLine="job1.PostString (URL, XML)";
Debug.ShouldStop(134217728);
_job1._poststring(mostCurrent._url,mostCurrent._xml);
 BA.debugLineNum = 61;BA.debugLine="job1.GetRequest.SetContentType(\"APPLICATION/soap+xml\")";
Debug.ShouldStop(268435456);
_job1._getrequest().SetContentType("APPLICATION/soap+xml");
 BA.debugLineNum = 63;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _getinfo(String _resultadosoapxml) throws Exception{
try {
		Debug.PushSubsStack("GetInfo (main) ","main",0,mostCurrent.activityBA,mostCurrent);
Debug.locals.put("ResultadoSoapXML", _resultadosoapxml);
 BA.debugLineNum = 79;BA.debugLine="Sub GetInfo(ResultadoSoapXML As String)";
Debug.ShouldStop(16384);
 BA.debugLineNum = 86;BA.debugLine="strResult = ResultadoSoapXML.SubString(ResultadoSoapXML.IndexOf(\"<GetWeatherResult>\")+ 18)";
Debug.ShouldStop(2097152);
mostCurrent._strresult = _resultadosoapxml.substring((int) (_resultadosoapxml.indexOf("<GetWeatherResult>")+18));
 BA.debugLineNum = 87;BA.debugLine="intFin = strResult.IndexOf(\"</GetWeatherResult>\")";
Debug.ShouldStop(4194304);
_intfin = mostCurrent._strresult.indexOf("</GetWeatherResult>");
 BA.debugLineNum = 88;BA.debugLine="strResult = strResult.subString2(0, intFin)";
Debug.ShouldStop(8388608);
mostCurrent._strresult = mostCurrent._strresult.substring((int) (0),_intfin);
 BA.debugLineNum = 90;BA.debugLine="If strResult = \"Data Not Found\" Then";
Debug.ShouldStop(33554432);
if ((mostCurrent._strresult).equals("Data Not Found")) { 
 BA.debugLineNum = 91;BA.debugLine="ToastMessageShow (\"No se tiene Información de Temperatura para \" & Ciudad & \"!\", True)";
Debug.ShouldStop(67108864);
anywheresoftware.b4a.keywords.Common.ToastMessageShow("No se tiene Información de Temperatura para "+mostCurrent._ciudad+"!",anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 92;BA.debugLine="Activity.Finish";
Debug.ShouldStop(134217728);
mostCurrent._activity.Finish();
 };
 BA.debugLineNum = 95;BA.debugLine="Set_Temperature(ResultadoSoapXML)        'Temperatura";
Debug.ShouldStop(1073741824);
_set_temperature(_resultadosoapxml);
 BA.debugLineNum = 100;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

public static void initializeProcessGlobals() {
    if (mostCurrent != null && mostCurrent.activityBA != null) {
Debug.StartDebugging(mostCurrent.activityBA, 6445, new int[] {4}, "6d713729-16c3-4ee1-a4e6-6648b268aa18");}

    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        anywheresoftware.b4a.samples.httputils2.httputils2service._process_globals();
main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 23;BA.debugLine="Dim URL As String";
mostCurrent._url = "";
 //BA.debugLineNum = 24;BA.debugLine="Dim XML As String";
mostCurrent._xml = "";
 //BA.debugLineNum = 25;BA.debugLine="Dim Ciudad As String";
mostCurrent._ciudad = "";
 //BA.debugLineNum = 26;BA.debugLine="Dim Pais As String";
mostCurrent._pais = "";
 //BA.debugLineNum = 27;BA.debugLine="Dim Res As String";
mostCurrent._res = "";
 //BA.debugLineNum = 28;BA.debugLine="Dim lblTemperature As Label";
mostCurrent._lbltemperature = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Dim intFin As Int										'Indice del fin de búsqueda del string correspondiente";
_intfin = 0;
 //BA.debugLineNum = 30;BA.debugLine="Dim strResult As String 					  'Trae inf del Resultado para validar si se tiene información";
mostCurrent._strresult = "";
 //BA.debugLineNum = 32;BA.debugLine="End Sub";
return "";
}
public static String  _jobdone(anywheresoftware.b4a.samples.httputils2.httpjob _job) throws Exception{
try {
		Debug.PushSubsStack("JobDone (main) ","main",0,mostCurrent.activityBA,mostCurrent);
Debug.locals.put("JOB", _job);
 BA.debugLineNum = 65;BA.debugLine="Sub JobDone (JOB As HttpJob)";
Debug.ShouldStop(1);
 BA.debugLineNum = 67;BA.debugLine="If JOB.Success Then";
Debug.ShouldStop(4);
if (_job._success) { 
 BA.debugLineNum = 69;BA.debugLine="strResult = JOB.GetString";
Debug.ShouldStop(16);
mostCurrent._strresult = _job._getstring();
 BA.debugLineNum = 70;BA.debugLine="Log(strResult)";
Debug.ShouldStop(32);
anywheresoftware.b4a.keywords.Common.Log(mostCurrent._strresult);
 BA.debugLineNum = 71;BA.debugLine="GetInfo(strResult)";
Debug.ShouldStop(64);
_getinfo(mostCurrent._strresult);
 }else {
 BA.debugLineNum = 74;BA.debugLine="Msgbox( JOB.errormessage , \"ABG-Error\")";
Debug.ShouldStop(512);
anywheresoftware.b4a.keywords.Common.Msgbox(_job._errormessage,"ABG-Error",mostCurrent.activityBA);
 };
 BA.debugLineNum = 76;BA.debugLine="JOB.Release";
Debug.ShouldStop(2048);
_job._release();
 BA.debugLineNum = 77;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 17;BA.debugLine="Dim job1 As HttpJob";
_job1 = new anywheresoftware.b4a.samples.httputils2.httpjob();
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
public static String  _set_temperature(String _temperatura) throws Exception{
try {
		Debug.PushSubsStack("Set_Temperature (main) ","main",0,mostCurrent.activityBA,mostCurrent);
Debug.locals.put("Temperatura", _temperatura);
 BA.debugLineNum = 102;BA.debugLine="Sub Set_Temperature(Temperatura As String)   'Temperatura";
Debug.ShouldStop(32);
 BA.debugLineNum = 104;BA.debugLine="Temperatura = Temperatura.subString2(Temperatura.IndexOf(\"&lt;Temperature&gt;\")+ 19, Temperatura.IndexOf(\"&lt;/Temperature&gt;\") )";
Debug.ShouldStop(128);
_temperatura = _temperatura.substring((int) (_temperatura.indexOf("&lt;Temperature&gt;")+19),_temperatura.indexOf("&lt;/Temperature&gt;"));Debug.locals.put("Temperatura", _temperatura);
 BA.debugLineNum = 105;BA.debugLine="Temperatura = Temperatura.subString2(Temperatura.IndexOf(\"(\")+ 1, Temperatura.IndexOf(\"C)\") )";
Debug.ShouldStop(256);
_temperatura = _temperatura.substring((int) (_temperatura.indexOf("(")+1),_temperatura.indexOf("C)"));Debug.locals.put("Temperatura", _temperatura);
 BA.debugLineNum = 106;BA.debugLine="Temperatura = Temperatura & \" \" &  \"°C\"";
Debug.ShouldStop(512);
_temperatura = _temperatura+" "+"°C";Debug.locals.put("Temperatura", _temperatura);
 BA.debugLineNum = 107;BA.debugLine="lblTemperature.Text = \"Temperatura: \" & Temperatura";
Debug.ShouldStop(1024);
mostCurrent._lbltemperature.setText((Object)("Temperatura: "+_temperatura));
 BA.debugLineNum = 109;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
}
